echo '<html>'
echo '<h1>Welcome to Worldspot firmware</h1>'
echo '<p> Your hotspot node could not fetch its configuration from WorldSpot servers.</p>'
echo '<p>Please make sure you connect the hotspot router to your existing router modem through the hotspot internet port (WAN). This is very important. Your router modem should provide a dhcp service.</p>'
echo '<h2>Some config details</h2>'
echo "<p>If you can't find out why configuration is not working, the following infos could be useful for debugging...</p>"
echo '<h3>Your mac address is</h3>'
wsmngMac=$(wsmng showMac)
if ! [ -z $wsmngMac ] ; then
    echo "<p>wsmng Mac is $wsmngMac</p>"
fi
brWanMac=$(/sbin/ifconfig br-wan | sed -n 's/^.*HWaddr \([0-9A-Za-z:]*\).*/\1/p')
if [ "$brWanMac" != "$wsmngMac" ] ; then
    echo "<p>br-wan Mac is $brWanMac</p>"
fi

echo '<h3>ifconfig</h3><pre>'
ifconfig
echo '</pre>'
echo '<h3>route</h3><pre>'
route
echo '</pre>'
echo '<h3>resolv.conf</h3><pre>'
cat /etc/resolv.conf
echo '</pre>'
echo '<h3>pings</h3><pre>'
fping 8.8.8.8 worldspot.net google.com
echo '</pre>'
echo '</html>'
